Collabora Online Developer Edition (Docker-Compose)
===================================================

A [Collabora Online Developer Edition (CODE)](https://www.collaboraoffice.com/code/) server that can be run behind [Traefik](https://traefik.io).

Works e.g. with [Nextcloud](https://nextcloud.com/collaboraonline/), [Moodle](https://moodle.org/plugins/mod_collabora) and other open source tools.

To tweak the config of Collabora, you may have to modify the `.env` template. 

[More information regarding CODE for Docker](https://www.collaboraoffice.com/code/docker/)

After installation:

- Ensure that the CODE instance URL (e.g. `https://collabora.example.tld`) returns `OK`.
- Add the Collabora App to Nextcloud
- Go to Nextcloud settings > Collabora and set the CODE instance URL.

Requirements
------------

- Ansible (implemented and tested with v2.9)
- Ubuntu or Debian server
- [Docker Engine](https://docs.docker.com/install/) + [Docker Compose](https://docs.docker.com/compose/install/)
- Traefik or another reverse proxy that takes care of TLS

Role Variables
--------------

| Variable                       | Description                                                                           | Default                            |
| ---------------------------    | -------------------------------------------------------------------------------       | ------------------                 |
| collabora_install_user         | The user who is going to manage/run the Docker Compose services                       | {{ ansible_user }}                 |
| collabora_install_path         | The location where the service should be deployed                                     | /home/{{ collabora_install_user }} |
| collabora_virtual_host         | The host under which CODE is available from the outside (e.g. collabora.example.org)  | localhost                          |
| collabora_domain_regex_pattern | A regular expression to match hosts that should be allowed to access CODE             | localhost                          |
| collabora_admin_user           | Used to access to the Admin UI: https://<code-server>/loleaflet/dist/admin/admin.html |                                    |
| collabora_admin_password       |                                                                                       |                                    |

Dependencies
------------

Example Playbook
----------------

License
-------

MIT

Author Information
------------------

This role was created in 2020 by [Jan Beilicke](https://jotbe.io).
